curl --request POST \
--url https://api.example.com/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"definition": {
"model_selection": [
"chat-balanced",
"gemini-2.0-pro",
"claude-3.5-sonnet-v2",
"claude-3.7-sonnet",
"gpt-4o"
],
"temperature": 0.4,
"tools": [
{
"description": "Search the web for information",
"enabled": true,
"name": "Web Research",
"type": "web_research"
},
{
"description": "Answer questions about the Noxus platform",
"enabled": true,
"name": "Noxus Q&A",
"type": "noxus_qa"
},
{
"description": "Select a knowledge base to answer questions about",
"enabled": true,
"name": "Select Knowledge Base Q&A",
"type": "kb_selector"
}
]
},
"visible": true,
"author_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {},
"description": "<string>",
"visible": true
}Add Agent to the platform
curl --request POST \
--url https://api.example.com/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"definition": {
"model_selection": [
"chat-balanced",
"gemini-2.0-pro",
"claude-3.5-sonnet-v2",
"claude-3.7-sonnet",
"gpt-4o"
],
"temperature": 0.4,
"tools": [
{
"description": "Search the web for information",
"enabled": true,
"name": "Web Research",
"type": "web_research"
},
{
"description": "Answer questions about the Noxus platform",
"enabled": true,
"name": "Noxus Q&A",
"type": "noxus_qa"
},
{
"description": "Select a knowledge base to answer questions about",
"enabled": true,
"name": "Select Knowledge Base Q&A",
"type": "kb_selector"
}
]
},
"visible": true,
"author_name": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"definition": {},
"description": "<string>",
"visible": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.